syntax = "proto3";
option go_package = ".;pb";

message DBStory {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 chapterId = 3;  //@go_tags(`bson:"chapterId"`) 章节ID
  int32 storyId = 4;    //@go_tags(`bson:"storyId"`) 主线关卡ID
  int32 intensity = 5;  //@go_tags(`bson:"intensity"`) 难度类型
  int32 awaredID  = 6;  //@go_tags(`bson:"awaredID"`) 领奖ID
  int32 progress = 7;   // @go_tags(`bson:"progress"`) 通关进度(打了多少主关卡)
  int32 totalBox = 8;   // @go_tags(`bson:"totalBox"`) 总关卡数量
  repeated int32 branchID = 9; // @go_tags(`bson:"branchID"`) 记录分支通关的情况
}